Bug 204111 - sysutils/bhyve-rc rc script not working on 10.2
Summary: sysutils/bhyve-rc rc script not working on 10.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Michael Gmelin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-28 22:25 UTC by amvandemore
Modified: 2015-12-20 22:15 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)
grembo: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description amvandemore 2015-10-28 22:25:56 UTC
Usage per instructions failed to boot VM's w/ the following error msg:

Effective AML package length is zero

changing /usr/local/etc/rc.d/bhyve 

command_args="new-session -ds ${_session} \"sh -c 'echo \\\$PPID >${pidfile}; while true; do /usr/sbin/bhyvectl --vm=${_session} --destroy; /usr/sbin/bhyveload -m ${bhyve_memsize} -d ${bhyve_diskdev} ${_session} && /usr/sbin/bhyve -c ${bhyve_ncpu} -m ${bhyve_memsize} -AI -H -P -g 0 -s 0:0,hostbridge -s 1:0,virtio-net,${bhyve_tapdev} -s 2:0,virtio-blk,${bhyve_diskdev} -s 31,uart,stdio ${_session} || break; done'\""

to

command_args="new-session -ds ${_session} \"sh -c 'echo \\\$PPID >${pidfile}; while true; do /usr/sbin/bhyvectl --vm=${_session} --destroy; /usr/sbin/bhyveload -m ${bhyve_memsize} -d ${bhyve_diskdev} ${_session} && /usr/sbin/bhyve -c ${bhyve_ncpu} -m ${bhyve_memsize} -AI -H -P -g 0 -s 0:0,hostbridge -s 1:0,virtio-net,${bhyve_tapdev} -s 2:0,virtio-blk,${bhyve_diskdev} -s 3:0,lpc -l com1,stdio ${_session} || break; done'\""

works for me.
Comment 1 commit-hook freebsd_committer 2015-11-16 19:02:16 UTC
A commit references this bug:

Author: grembo
Date: Mon Nov 16 19:01:22 UTC 2015
New revision: 401782
URL: https://svnweb.freebsd.org/changeset/ports/401782

Log:
  Fix to start bhyve properly on 10.2.

  PR:		204111
  Approved by:	mentors (implicit)

Changes:
  head/sysutils/bhyve-rc/Makefile
  head/sysutils/bhyve-rc/files/bhyve.in
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-17 13:11:27 UTC
Assign to committer that resolved.

Also, does this require a merge (MFH) to the quarterly branch?

If so, mfh, set merge-quarterly to +, then close
If not, set merge-quarterly to -, then close
Comment 3 Michael Gmelin freebsd_committer 2015-11-17 13:41:42 UTC
Thanks for asking, I wasn't aware how that works and it makes total sense.
Comment 4 Michael Gmelin freebsd_committer 2015-11-17 15:30:36 UTC
Re-open for the sake of exercise. Sorry for the noise.
Comment 5 Michael Gmelin freebsd_committer 2015-12-20 22:15:40 UTC
Asked portmgr@ for permission, which was probably not required (and maybe not even the correct process), but the blanket approval only seems to allow to fix build errors but not the port itself. As I got no feedback and the next quarterly branch is around the corner, there's not much point to MFH/waste people's time now.